MainWP Community

For site's plugins, add "compatibility with Wordpress xxxx"

Hi,
Perhaps this feature is already in, I am still learning the ropes.

This is what I usually do before I update plugins in a site. I make a backup with UpdatePlus (there is an extension for that so, that is ok). Then I use the Wordpress available updates page, and under every plugin there is a line “Compatibility with Wordpress (for example 100%”) checked against the current site’s Wordpress version. That little piece of information is obviously not a guarantee against update problems, but it shows that the plugin author is active and has marked the plugin as working with the Wordpress version in question.

I update the plugins that has a 100% compatibility, test the site and that’s it. It is a bit safer way to update that updating everything. I think. To have that information available for every plugin in MainWP would be very nice.

Alla the best
Magnus

I’ve never seen this as an issue when updating. If the old version of a plugin is working on a website running the latest WordPress, then the newer version should also work even if the “Tested up to WP version” is indicating an older WP version.

It might be an issue if you want to install a plugin on a site, while the plugin hasn’t been updated a long time, but that shouldn’t affect your update process.